Panda3D

Loading...
Searching...
No Matches
Functions | Variables
direct.showbase.ShowBaseGlobal Namespace Reference

## Functions
| inspect (anObject)
| run ()

## Variables
| aspect2d = render2d.attachNewNode(PGTop("aspect2d"))
| The root of the 2-D scene graph used for GUI rendering.
| cpMgr = ConfigPageManager.getGlobalPtr()
| See :meth:`panda3d.core.ConfigPageManager.getGlobalPtr()`.
| cvMgr = ConfigVariableManager.getGlobalPtr()
| See :meth:`panda3d.core.ConfigVariableManager.getGlobalPtr()`.
| globalClock = ClockObject.getGlobalClock()
| The clock object used by default for rendering and animation, obtained using :meth:`panda3d.core.ClockObject.getGlobalClock()`.
| hidden = NodePath("hidden")
| A dummy scene graph that is not being rendered by anything.
| inspect
| ostream = Notify.out()
| The default Panda3D output stream for notifications and logging, as obtained using :meth:`panda3d.core.Notify.out()`.
| pandaSystem = PandaSystem.getGlobalPtr()
| See :meth:`panda3d.core.PandaSystem.getGlobalPtr()`.
| render2d = NodePath("render2d")
| The root of the 2-D scene graph.
| vfs = VirtualFileSystem.getGlobalPtr()
| The global instance of the :ref:`virtual-file-system`, as obtained using :meth:`panda3d.core.VirtualFileSystem.getGlobalPtr()`.

## Detailed Description

    This module serves as a container to hold the global
    :class:`~.ShowBase.ShowBase` instance, as an alternative to using the builtin
    scope.

    Many of the variables contained in this module are also automatically written
    to the :mod:`builtins` module when ShowBase is instantiated, making them
    available to any Python code.  Importing them from this module instead can make
    it easier to see where these variables are coming from.

    Note that you cannot directly import :data:`~builtins.base` from this module
    since ShowBase may not have been created yet; instead, ShowBase dynamically
    adds itself to this module's scope when instantiated.

## Function Documentation

## ◆ inspect()

inspect | ( |  | anObject | ) |

    Opens up a :mod:`direct.tkpanels.Inspector` GUI panel for inspecting an
    object.

## ◆ run()

run | ( |  | ) |

    Deprecated alias for :meth:`base.run() <.ShowBase.run>`.

## Variable Documentation

## ◆ aspect2d

aspect2d = render2d.attachNewNode(PGTop("aspect2d"))

The root of the 2-D scene graph used for GUI rendering.

Unlike render2d, which may result in elements being stretched in windows that do not have a square aspect ratio, this node is scaled automatically to ensure that nodes parented to it do not appear stretched.

## ◆ cpMgr

cpMgr = ConfigPageManager.getGlobalPtr()

See :meth:`panda3d.core.ConfigPageManager.getGlobalPtr()`.

## ◆ cvMgr

cvMgr = ConfigVariableManager.getGlobalPtr()

See :meth:`panda3d.core.ConfigVariableManager.getGlobalPtr()`.

## ◆ globalClock

globalClock = ClockObject.getGlobalClock()

The clock object used by default for rendering and animation, obtained using :meth:`panda3d.core.ClockObject.getGlobalClock()`.

## ◆ hidden

hidden = NodePath("hidden")

A dummy scene graph that is not being rendered by anything.

## ◆ inspect

inspect

## ◆ ostream

ostream = Notify.out()

The default Panda3D output stream for notifications and logging, as obtained using :meth:`panda3d.core.Notify.out()`.

## ◆ pandaSystem

pandaSystem = PandaSystem.getGlobalPtr()

See :meth:`panda3d.core.PandaSystem.getGlobalPtr()`.

## ◆ render2d

render2d = NodePath("render2d")

The root of the 2-D scene graph.

The coordinate system of this node runs from -1 to 1, with the X axis running from left to right and the Z axis from bottom to top.

## ◆ vfs

vfs = VirtualFileSystem.getGlobalPtr()

The global instance of the :ref:`virtual-file-system`, as obtained using :meth:`panda3d.core.VirtualFileSystem.getGlobalPtr()`.